import { useState, useEffect } from 'react'

type OuData = {
  id: number
  nb: string
  en: string
}

function useOus(): OuData[] {
  const [ous, setOus] = useState<OuData[]>([])
  const getOptions = async () => {
    const response = await fetch('/api/ui/v1/ous/?format=json')
    if (response.ok) {
      const ousJson = await response.json()
      setOus(ousJson.ous)
    }
  }

  useEffect(() => {
    getOptions()
  }, [])
  return ous
}

export type { OuData }
export default useOus
