import { useEffect } from 'react'
import { Redirect, useParams } from 'react-router-dom'

type TParams = { id: string }

function InviteLink() {
  // Fetch backend endpoint to preserve invite_id in backend session then redirect
  // to generic invite page with info about feide login or manual with passport.

  const { id } = useParams<TParams>()

  useEffect(() => {
    fetch(`/api/ui/v1/invited/${id}`)
  }, [])
  return <Redirect to="/invite" />
}

export default InviteLink
