import { ThemeOptions } from '@mui/material'

// Note that a few global styles are set by CssBaseline in 'routes/index.tsx

const mainTheme: ThemeOptions = {
  greg: {
    appMinWidth: '60rem',
    appMaxWidth: '110rem',
    headerBackgroundColor: 'black',
    h1TextColor: 'white',
    h2TextColor: '#373F41',
    footerBackgroundColor: 'black',
    footerTextColor: 'white',
    deactivatedColor: '#C9C9C9'
  },
  palette: {
    primary: {
      main: '#01579B',
      dark: '#1565c0',
      light: '#A4C8E4',
    },
  },
  components: {
    MuiTextField: {
      defaultProps: {
        size: 'small',
      },
    },
    MuiButton: {
      defaultProps: {
        variant: 'outlined',
      },
    },
  },
}

export default mainTheme
