import logging
import logging.config
import time

from django.conf import settings
from django.core.management.base import BaseCommand

from greg.schedule import ExpiringRolesNotification

logging.config.dictConfig(settings.LOGGING)
logger = logging.getLogger(__name__)


class Command(BaseCommand):
    """
    This command starts a basic task runner. All tasks it is supposed to
    run are given explicitly in code
    """

    help = "Start schedule task runner"

    def handle(self, *args, **options):

        logger.info("Task scheduler started")

        # For now there is just one task, but the idea is that more can
        # be added
        expiring_role_notification_task = ExpiringRolesNotification()

        while True:
            expiring_role_notification_task.run()
            # The single task is set up for far only needs to run once
            # a day, but running every 6 hours just in case a run fails,
            # it is up the task it self to figure out if needs to do
            # something every time it is called
            time.sleep(60 * 60 * 6)
